#pragma once
#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "Engine/DeveloperSettings.h"
#include "SBZAIObjectiveSettings.generated.h"

class UEnvQuery;

UCLASS(Blueprintable, Config=Engine, DefaultConfig, Config=Game)
class USBZAIObjectiveSettings : public UDeveloperSettings {
    GENERATED_BODY()
public:
protected:
    UPROPERTY(BlueprintReadWrite, Config, EditAnywhere, meta=(AllowPrivateAccess=true))
    FSoftObjectPath DefaultDirectObjectiveMoveToEQSName;
    
    UPROPERTY(BlueprintReadWrite, EditAnywhere, Transient, meta=(AllowPrivateAccess=true))
    UEnvQuery* DirectMoveToEQSBPClass;
    
    UPROPERTY(BlueprintReadWrite, Config, EditAnywhere, meta=(AllowPrivateAccess=true))
    FSoftObjectPath DefaultThrownObjectiveMoveToEQSName;
    
    UPROPERTY(BlueprintReadWrite, EditAnywhere, Transient, meta=(AllowPrivateAccess=true))
    UEnvQuery* ThrownMoveToEQSBPClass;
    
public:
    USBZAIObjectiveSettings();

};

